//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "GameConditionDlg2.h"
extern void draw_dds( Graphics::TBitmap * bitmap, int left, int top, const void * dds );	// defined on mainform.cpp
static void make_stone_image( Graphics::TBitmap *, const char * dds );
extern const char stoneImageBlackNormal[];
extern const char stoneImageWhiteNormal[];
//--------------------------------------------------------------------- 
#pragma resource "*.dfm"
TGameConditionDialog2 *GameConditionDialog2;
//---------------------------------------------------------------------
__fastcall TGameConditionDialog2::TGameConditionDialog2(TComponent* AOwner)
	: TForm(AOwner)
{
	WhitePlayer->ItemIndex = 1;		// ftHǵAԂ̓Rs[^

	make_stone_image( BlackStoneImage->Picture->Bitmap, stoneImageBlackNormal );
	make_stone_image( WhiteStoneImage->Picture->Bitmap, stoneImageWhiteNormal );
}
//--------------------------------------------------------------------- 
static void make_stone_image( Graphics::TBitmap * bitmap, const char * dds )
{
	bitmap->PixelFormat = pf24bit;
    bitmap->Width = 22;
    bitmap->Height = 22;
    TCanvas * canvas = bitmap->Canvas;
    canvas->Brush->Color = clBtnFace;
    canvas->FillRect( canvas->ClipRect );
	draw_dds( bitmap, 0, 0, dds );
}
//--------------------------------------------------------------------- 
static void set_player_types( TListBox * list, const std::vector<IRENSEI_AI_DESC> & playerTypes )
{
	AnsiString bak = list->ItemIndex < 0 ? AnsiString() : (list->Items->Strings[ list->ItemIndex ]);
	list->Clear();
	for ( std::vector<IRENSEI_AI_DESC>::const_iterator itor = playerTypes.begin(); itor != playerTypes.end(); itor++ ) {
		list->Items->Add( AnsiString( itor->name ) );
	}
	list->ItemIndex = list->Items->IndexOf( bak );
	if ( list->ItemIndex == -1 )
		list->ItemIndex = 0;
}

void TGameConditionDialog2::SetPlayerTypes( const std::vector<IRENSEI_AI_DESC> & playerTypes )
{
	set_player_types( BlackPlayer, playerTypes );
	set_player_types( WhitePlayer, playerTypes );
}
//---------------------------------------------------------------------

