//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include "Splash.h"
//---------------------------------------------------------------------------
USEFORM("mainform.cpp", IrenseiMainForm);
USEFORM("gameconditionDlg2.cpp", GameConditionDialog2);
USEFORM("LogWindow.cpp", IrenseiLogWindow);
USEFORM("RuleChangingDlg.cpp", RuleChangingDialog);
USEFORM("DebugIDDlg.cpp", DebugIDDialog);
USEFORM("Splash.cpp", SplashForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "͘A";
		Application->CreateForm(__classid(TIrenseiMainForm), &IrenseiMainForm);
		Application->CreateForm(__classid(TSplashForm), &SplashForm);
		Application->CreateForm(__classid(TGameConditionDialog2), &GameConditionDialog2);
		Application->CreateForm(__classid(TRuleChangingDialog), &RuleChangingDialog);
		Application->CreateForm(__classid(TDebugIDDialog), &DebugIDDialog);
		SplashForm->ShowModal();
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
