#include <stdio.h>

int main( int argc, char * argv[] )
{
	FILE * fp;

	if ( argc < 3 )
		return 1;

	fp = fopen( argv[1], "rb" );
	if ( ! fp )
		return 2;

	printf( "/* %s */\n", argv[1] );
	printf( "char %s[] = {\n", argv[2] );

	{
		int column = 0;
		int raw = 0;
		int c = getc(fp);
		while ( ! feof(fp) ) {
			if ( column == 0 )
				putc( '\t', stdout );
			if ( column == 4 )
				putc( ' ', stdout );
			if ( column == 8 )
				putc( ' ', stdout );
			printf( "0x%02x, ", c & 0xff );
			if ( column == 16 )
				putc( '\n', stdout );
			column = (column + 1) & 0x0f;
			raw++;
			if ( (raw & 0x0f) == 0 )
				putc( '\n', stdout );
			c = getc(fp);
		}
		if ( raw & 0x0f )
			putc( '\n', stdout );
	}
	puts( "};" );

	fclose( fp );

	return 0;
}
