//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "LogWindow.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TIrenseiLogWindow *IrenseiLogWindow;
//---------------------------------------------------------------------------
__fastcall TIrenseiLogWindow::TIrenseiLogWindow(TComponent* Owner, HANDLE handle)
	: TForm(Owner)
{
	logThread = new LogThread( handle, Memo );
}
//---------------------------------------------------------------------------
__fastcall TIrenseiLogWindow::~TIrenseiLogWindow()
{
	delete logThread;
}
//---------------------------------------------------------------------------
void __fastcall TIrenseiLogWindow::LogThread::addMemo( void )
{
	memo->Lines->Add( recieveBuffer );
}
//---------------------------------------------------------------------------
void __fastcall TIrenseiLogWindow::LogThread::Execute( void )
{
	DWORD cntRead;

	while ( ReadFile( hin, recieveBuffer, 2048, &cntRead, 0 ) ) {
		recieveBuffer[ cntRead ] = 0;
		Synchronize( addMemo );
	}
}
//---------------------------------------------------------------------------
void __fastcall TIrenseiLogWindow::Hide1Click(TObject *Sender)
{
	Hide();
}
//---------------------------------------------------------------------------
void __fastcall TIrenseiLogWindow::Font2Click(TObject *Sender)
{
	if ( FontDialog->Execute() ) {
		Memo->Font = FontDialog->Font;
	}
}
//---------------------------------------------------------------------------
void __fastcall TIrenseiLogWindow::Clear1Click(TObject *Sender)
{
	logThread->ClearLog();
}
//---------------------------------------------------------------------------

