//---------------------------------------------------------------------------

#ifndef LogWindowH
#define LogWindowH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <windows.h>
//---------------------------------------------------------------------------
class TIrenseiLogWindow : public TForm
{
__published:	// IDE Ǘ̃R|[lg
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Hide1;
	TMenuItem *Font1;
	TMenuItem *Font2;
	TMemo *Memo;
	TFontDialog *FontDialog;
	TMenuItem *Clear1;
	void __fastcall Hide1Click(TObject *Sender);
	void __fastcall Font2Click(TObject *Sender);
	void __fastcall Clear1Click(TObject *Sender);
private:	// [U[錾

	class LogThread : public TThread {
	public:
		LogThread( HANDLE handle, TMemo * m ) : TThread(false), hin( handle ), memo( m )	{}
		void __fastcall addMemo( void );
		void __fastcall Execute( void );

		void __fastcall ClearLog( void )	{ Synchronize( clearLog ); }
	private:
		void __fastcall clearLog( void )	{ memo->Clear(); }
		static const int recieveBufSize = 2048;
		char recieveBuffer[ recieveBufSize + 1 ];
		HANDLE hin;
		TMemo * memo;
	};
	LogThread * logThread;

public:		// [U[錾
	__fastcall TIrenseiLogWindow(TComponent* Owner, HANDLE handle);
	__fastcall ~TIrenseiLogWindow();
};
//---------------------------------------------------------------------------
extern PACKAGE TIrenseiLogWindow *IrenseiLogWindow;
//---------------------------------------------------------------------------
#endif
