#include "CheckReach.h"

#include <algorithm>

/*
	-128 ͖̎
	BƂṕAVAɂȂ\̖ꏊƂӖ
*/

namespace Irensei {


static bool in_outer( int x, int y, int outer )
{
	if ( x < outer || x >= Board::MaxX - outer || y < outer || y >= Board::MaxY - outer)
		return true;
	return false;
}


static int search_other( 
	const Board * board, 
	int x, int y, int dx, int dy,
	int outer, Game::EBlackOrWhite order 
)
{
	const int other = order ^ -1;
	int cnt = 0;
	while ( 1 ) {
		x += dx;
		y += dy;
		if ( in_outer( x, y, outer ) )
			break;
		if ( board->Get( x, y ) & other )
			break;
		cnt++;
	}
	return cnt;
}


// ǂĂVAɂȂȂƂiSƂՊO⑊̐΂Ŏ~܂Ăj 0 
static void check_cant7( IRENSEI_DEBUG_BOARD & rtbl, const IRENSEI_RULE_DESCRIPTION & rule, const Board * board, Game::EBlackOrWhite order )
{
	const int required = rule.lineLength;
	const int outer = rule.outerInvalidLines;
	for ( int y = outer; y < Board::MaxY - outer; y++ ) {
		for ( int x = outer; x < Board::MaxX - outer; x++ ) {
			if ( rtbl.stones[y][x] != -128 )
				continue;
			int left = search_other( board, x, y, -1, 0, outer, order );
			int right = search_other( board, x, y, 1, 0, outer, order );
			int up = search_other( board, x, y, 0, -1, outer, order );
			int down = search_other( board, x, y, 0, 1, outer, order );
			int rightup = search_other( board, x, y, 1, -1, outer, order );
			int rightdown = search_other( board, x, y, 1, 1, outer, order );
			int leftup = search_other( board, x, y, -1, -1, outer, order );
			int leftdown = search_other( board, x, y, -1, 1, outer, order );
			int horizontal = left + right + 1;
			int vertical = up + down + 1;
			int rightupal = rightup + leftdown + 1;
			int rightdownal = leftup + rightdown + 1;
			int max = std::max( horizontal, std::max( vertical, std::max( rightupal, rightdownal ) ) );
			if ( max < required )
				rtbl.stones[y][x] = 0;	// B
		}
	}
}



// ɒuAdx dy  rule.lineLength ̒ order ̐΂邩
static int count_reach( 
	const Board * board, const IRENSEI_RULE_DESCRIPTION & rule, 
	const int x, const int y, const int dx, const int dy,
	Game::EBlackOrWhite order 
)
// ׂ͈͂́Adxy -dxy ɂUA͈̔͂̑̐΂̈ʒu xy 
{
	const int required = rule.lineLength;
	const int outer = rule.outerInvalidLines;
	const int so = search_other( board, x, y, -dx, -dy, outer, order );
	const int eo = search_other( board, x, y, dx, dy, outer, order );
	if ( so + eo + 1 < required )
		return 0;		// VẢ\Ȃ
	const int start = std::min( required-1, so );
	const int end = std::min( 0, eo - (required-1) );
	// start  dx dy ɌāA[`𒲂ׂ
	const Board::EStone stone = Game::OrderToStone( order );

	int max = 0;
	for ( int origin = start; origin >= -end; origin-- ) {
		// n_ύXȂ
		int curx = x - dx*origin;
		int cury = y - dy*origin;
		int len = 0;
		// ̎n_ required ̐΂̐
		for ( int lpc = 0; required > lpc; lpc++ ) {
			if ( board->Get( curx, cury ) == stone )
				len++;
			curx += dx;
			cury += dy;
		}
		if ( max < len ) {
			max = len;
		}
	}
	max = max + 1/*uƂĂ*/ ;
	if ( max == 1 )
		return 1;
/*@@@AlǁAʓ|BȂƂAꂶႾ
	if ( order == Game::EBWBlack && max > rule.lineLength )
		return 0;
*/
	// [~߂Ă邩
	// @@ sxy  exy _ȂΎ̐΂
	do/*break */ {
		int sx = x - start*dx;
		int sy = y - start*dy;
		if      ( board->Get( sx, sy ) == Board::EStoneSpace )
			;
		else if ( board->Get( sx-dx, sy-dy ) & ~order || in_outer( sx-dx, sy-dy, outer ) ) {
			max = -max;
			break;
		}

		int ex = x + (end + required-1)*dx;
		int ey = y + (end + required-1)*dy;
		if      ( board->Get( ex, ey ) == Board::EStoneSpace )
			;
		else if ( board->Get( ex+dx, ey+dy ) & ~order || in_outer( ex+dx, ey+dy, outer ) )
			max = -max;
	} while ( 0 );
	return max;
}



static int absmax( int l, int r )
{
	int abscmp = ( abs(l) - abs(r) );
	if ( 0 != abscmp )
		return (abscmp > 0) ? l : r;
	if ( l < 0 )
		return r;	// l ̎A r Ȃ r Ԃ r Ȃǂł
	return l;		// l ̎A r Ȃ l Ԃ r Ȃǂł
}

// A\𒲂ׂ
static void check_reach( IRENSEI_DEBUG_BOARD & rtbl, const IRENSEI_RULE_DESCRIPTION & rule, const Board * board, Game::EBlackOrWhite order )
{
	const int outer = rule.outerInvalidLines;
	for ( int y = outer; y < Board::MaxY - outer; y++ ) {
		for ( int x = outer; x < Board::MaxX - outer; x++ ) {
			if ( rtbl.stones[y][x] != -128 )
				continue;
			int horizontal  = count_reach( board, rule, x, y, 1, 0, order );
			int vertical    = count_reach( board, rule, x, y, 0, 1, order );
			int rightupal   = count_reach( board, rule, x, y, 1, -1, order );
			int rightdownal = count_reach( board, rule, x, y, 1, 1, order );
			int max = absmax( horizontal, absmax( vertical, absmax( rightupal, rightdownal ) ) );
			rtbl.stones[y][x] = max;
		}
	}
}



void CheckReach( 
	IRENSEI_DEBUG_BOARD & rtbl, 			// [out]reach table
	const Board * board, 
	const IRENSEI_RULE_DESCRIPTION & rule,	// ՊO𓾂邽߂ outerInvalidLines g
	Game::EBlackOrWhite order 				// ̐΂̐F𓾂邽߂Ɏg
)
{
	const int outer = rule.outerInvalidLines;
	memset( rtbl.stones, 0, sizeof(rtbl.stones) );		// B
	// Փ𖢒i΂̂Ƃ͔Bj
	for ( int y = outer; y < Board::MaxY - outer; y++ ) {
		for ( int x = outer; x < Board::MaxX - outer; x++ ) {
			if ( board->Get( x, y ) == Board::EStoneSpace )
				rtbl.stones[y][x] = -128;
		}
	}

	// ǂĂVAɂȂȂƂiSƂՊO⑊̐΂Ŏ~܂Ăj 0 
	check_cant7( rtbl, rule, board, order );

	// A\𒲂ׂ
	check_reach( rtbl, rule, board, order );

	for ( int y = 0; y < Board::MaxY; y++ ) {
		for ( int x = 0; x < Board::MaxX; x++ ) {
			if ( rtbl.stones[y][x] == 0 )
				rtbl.stones[y][x] = -128;
			else if ( rtbl.stones[y][x] < 0 )
				rtbl.stones[y][x] = -rule.lineLength - rtbl.stones[y][x];
			else
				rtbl.stones[y][x] = rule.lineLength - rtbl.stones[y][x];
		}
	}
}




static bool count_stone( const Board * board, int outer, int orgx, int orgy, int dx, int dy, Board::EStone stone, int requiredLength )
{
	int len = 1/*Jnn_̕*/;
	int outerStones = 0;	// Oɂ
	int x = orgx;
	int y = orgy;
	while ( 1 ) {
		x += dx;
		y += dy;
		Board::EStone st = board->Get( x, y );
		if ( st != stone ) {
			break;
		}
		else if ( in_outer( x, y, outer ) ) {
			if ( st == stone )
				outerStones++;
			break;
		}
		len++;
	}
	x = orgx;
	y = orgy;
	while ( 1 ) {
		x -= dx;
		y -= dy;
		Board::EStone st = board->Get( x, y );
		if ( st != stone ) {
			break;
		}
		else if ( in_outer( x, y, outer ) ) {
			if ( st == stone )
				outerStones++;
			break;
		}
		len++;
	}
	if ( board->Get( x-dx, y-dy ) == stone )
		outerStones++;
	if ( len >= requiredLength ) {
		if ( stone == Board::EStoneBlack ) {
			len += outerStones;
			if ( len > requiredLength )
				return false;	// A
		}
		return true;
	}
	return false;		// Ȃ
}

static void fill_stone( IRENSEI_DEBUG_BOARD & rtbl, const Board * board, int outer, int orgx, int orgy, int dx, int dy, Board::EStone stone )
{
	int x = orgx;
	int y = orgy;
	while ( 1 ) {
		x += dx;
		y += dy;
		if ( board->Get( x, y ) != stone || in_outer( x, y, outer ) )
			break;
		rtbl.stones[y][x] = stone;
	}
	x = orgx;
	y = orgy;
	while ( 1 ) {
		x -= dx;
		y -= dy;
		if ( board->Get( x, y ) != stone || in_outer( x, y, outer ) )
			break;
		rtbl.stones[y][x] = stone;
	}
}



void Check0Reach( 
	IRENSEI_DEBUG_BOARD & rtbl, 			// [out]reach table
	const Board * board, 
	const IRENSEI_RULE_DESCRIPTION & rule,	// lineLnegth, outerInvalidLines
	Game::EBlackOrWhite order
)
{
	memset( rtbl.stones, -128, sizeof(rtbl.stones) );

	const int outer = rule.outerInvalidLines;
	const int len = rule.lineLength;
	const Board::EStone stone = Game::OrderToStone(order);
	for ( int y = outer; y < Board::MaxY - outer; y++ ) {
		for ( int x = outer; x < Board::MaxX - outer; x++ ) {
			if ( board->Get( x, y ) != Board::EStoneSpace )
				continue;
			bool flagReach = false;
			if ( count_stone(     board, outer, x, y, 1, 0, stone, len ) ) {
				fill_stone( rtbl, board, outer, x, y, 1, 0, stone ); flagReach = true;
			}
			if ( count_stone(     board, outer, x, y, 0, 1, stone, len ) ) {
				fill_stone( rtbl, board, outer, x, y, 0, 1, stone ); flagReach = true;
			}
			if ( count_stone(     board, outer, x, y, 1,-1, stone, len ) ) {
				fill_stone( rtbl, board, outer, x, y, 1,-1, stone ); flagReach = true;
			}
			if ( count_stone(     board, outer, x, y, 1, 1, stone, len ) ) {
				fill_stone( rtbl, board, outer, x, y, 1, 1, stone ); flagReach = true;
			}
			if ( flagReach )
				rtbl.stones[y][x] = 0;
		}
	}
}



}	// namespace Irensei

