//----------------------------------------------------------------------------
#ifndef GameConditionDlg2H
#define GameConditionDlg2H
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vector>
#include "irensei_ai_descripter.h"
//----------------------------------------------------------------------------
class TGameConditionDialog2 : public TForm
{
__published:        
	TButton *OKBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
	TListBox *BlackPlayer;
	TLabel *Label1;
	TListBox *WhitePlayer;
	TLabel *Label2;
	TImage *BlackStoneImage;
	TImage *WhiteStoneImage;
private:
public:
	virtual __fastcall TGameConditionDialog2(TComponent* AOwner);

	void SetPlayerTypes( const std::vector<IRENSEI_AI_DESC> & playerTypes );
};
//----------------------------------------------------------------------------
extern PACKAGE TGameConditionDialog2 *GameConditionDialog2;
//----------------------------------------------------------------------------
#endif    
